import http from '../http'

export default {
  // 根据分类查询
  getItem: data =>
    http.get('/v1/car_info/dict_class_item?classType=' + data).then(res => res),
  pageCarManage: data =>
    http.post('/v1/car_info/page_car_manage', data).then(res => res),
  getById: id => http.get('/v1/car_info/' + id).then(res => res),
  deleteById: id => http.delete('/v1/car_info/' + id).then(res => res),
  edit: data => http.put('/v1/car_info/' + data.id, data.obj).then(res => res),
  add: data => http.post('/v1/car_info/', data).then(res => res)
}
